
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>cocos代码研究（1）sprite学习笔记 / 憋错料</title>

    <meta name="description" content="cocos代码研究（1）sprite学习笔记 各种方法创建Sprite和Animate //图片创建法 参数一:图片资源路径 参数二:Rect选区 auto sprite = Sprite::create(&quot;Images/grossini_dance_atlas.png&quot;, Rect(x, y, 85, 121)); addChild(sprite); /*************华丽分割线*************/ //BatchNode类纹理创建法 //参数一:纹理图片 参数二:容量(子节点数量上限) auto b ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">cocos代码研究（1）sprite学习笔记</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h2>各种方法创建Sprite和Animate</h2>

<pre>    //图片创建法 参数一：图片资源路径 参数二：Rect选区
    auto sprite = Sprite::create("Images/grossini_dance_atlas.png", Rect(x, y, 85, 121));
    addChild(sprite);

    /*************华丽分割线*************/

    //BatchNode类纹理创建法
    //参数一：纹理图片 参数二：容量（子节点数量上限）
    auto batchNode = SpriteBatchNode::create("Images/grossini_dance_atlas.png", 50);
    //参数一：获取纹理 参数二：Rect选区
    auto sprite = Sprite::createWithTexture(batchNode-&gt;getTexture(), Rect(x, y, 85, 121));
    batchNode-&gt;addChild(sprite);
    addChild(batchNode);

    /*************华丽分割线*************/

    //精灵帧缓存SpriteFrameCache创建法
    SpriteFrameCache::getInstance()-&gt;addSpriteFramesWithFile("animations/ghosts.plist", "animations/ghosts.png");
    auto sprite = Sprite::createWithSpriteFrameName("father.gif");
    addChild(sprite);

    /*************华丽分割线*************/

    //BatchNode + SpriteFrameCache + Sprite 组合使用
    SpriteFrameCache::getInstance()-&gt;addSpriteFramesWithFile("animations/ghosts.plist", "animations/ghosts.png");
    auto batchNode = SpriteBatchNode::create("animations/ghosts.png");
    auto sprite = Sprite::createWithSpriteFrameName("father.gif");
    batchNode-&gt;addChild(sprite);
    addChild(batchNode);

    /*************华丽分割线*************/

    //纹理创建法
    auto texture = Director::getInstance()-&gt;getTextureCache()-&gt;addImage("animations/dragon_animation.png");
    auto frame = SpriteFrame::createWithTexture(texture, Rect(132 * 0, 132 * 0, 132, 132));
    auto sprite = Sprite::createWithSpriteFrame(frame);

    /*************华丽分割线*************/

    //SpriteFrameCache创建动画法
    auto cache = SpriteFrameCache::getInstance();
    cache-&gt;addSpriteFramesWithFile("animations/grossini-aliases.plist", "animations/grossini-aliases.png");
    auto sprite = Sprite::createWithSpriteFrameName("grossini_dance_01.png");

    Vector&lt;SpriteFrame*&gt; animFrames(15);
    char str[100] = { 0 };
    for (int i = 1; i &lt; 15; i++)
    {
        sprintf(str, "grossini_dance_%02d.png", i);
        auto frame = cache-&gt;getSpriteFrameByName(str);
        animFrames.pushBack(frame);
    }

    auto animation = Animation::createWithSpriteFrames(animFrames, 0.3f);
    sprite-&gt;runAction(RepeatForever::create(Animate::create(animation)));

    /*************华丽分割线*************/

    //AnimationCache加载animation创建动画法
    auto animationCache = AnimationCache::getInstance();
    auto animation = Animation::createWithSpriteFrames(animFrames, 0.2f);
    //参数一:animation  参数二：绑定别名
    animationCache-&gt;addAnimation(animation, "dance_blue");
    auto dance_blue = animationCache-&gt;getAnimation("dance_blue");

    /*************华丽分割线*************/

    //AnimationCache加载plist文件创建动画法
    auto frameCache = SpriteFrameCache::getInstance();
    frameCache-&gt;addSpriteFramesWithFile("animations/grossini.plist");
    auto animationCache = AnimationCache::getInstance();
    animationCache-&gt;addAnimationsWithFile("animations/animations.plist");
    auto normal = animationCache-&gt;getAnimation("dance_1");

    /*************华丽分割线*************/

    //动态加载纹理方法
    std::string plist_content;  //plist文件数据
    {
        std::string fullPath = FileUtils::getInstance()-&gt;fullPathForFilename("animations/grossini.plist");
        Data data = FileUtils::getInstance()-&gt;getDataFromFile(fullPath);
        if (!data.isNull())
            plist_content.assign((const char*)data.getBytes(), data.getSize());
    }
    std::string image_content; //图片文件数据
    {
        std::string fullPath = FileUtils::getInstance()-&gt;fullPathForFilename("animations/grossini.png");
        Data data = FileUtils::getInstance()-&gt;getDataFromFile(fullPath);
        if (!data.isNull())
            image_content.assign((const char*)data.getBytes(), data.getSize());
    }
    Image image;
    image.initWithImageData((const uint8_t*)image_content.c_str(), image_content.size());
    Texture2D* texture = new (std::nothrow) Texture2D();
    texture-&gt;initWithImage(&amp;image);
    texture-&gt;autorelease();

    auto cache = SpriteFrameCache::getInstance();
    cache-&gt;addSpriteFramesWithFileContent(plist_content, texture);&nbsp;</pre>

<h2>常用的API介绍</h2>
<p><strong>AnimationCache类</strong></p>
<p>通过名字和动画添加到缓存。<br />void addAnimation (Animation *animation, const std::string &amp;name)</p>
<p>从plist文件添加一个动画，确保SpriteFrameCache的帧在之前就加载过了。<br />void 	addAnimationsWithFile (const std::string &amp;plist)</p>
<p>返回一个之前添加的动画。 如果没有找到它将返回空。<br />Animation * 	getAnimation (const std::string &amp;name)</p>
<p>从缓存中删除一个动画。<br />void 	removeAnimation (const std::string &amp;name)</p>
<p>清除缓存，它会释放所有的动画对象和共享实例。<br />static void 	destroyInstance ()</p>
<p><strong>SpriteFrameCache类</strong></p>
<p>从 plist 文件添加多个 SpriteFrame，会自动加载相应的纹理。 当 plist 文件中未指定使用的 texture 文件时，plist 文件的扩展名替换为 .png 即为纹理文件的名称。<br />void 	addSpriteFramesWithFile (const std::string &amp;plist)</p>
<p>使用指定的 plist 文件与纹理文件加载 SpriteFrame。<br />void 	addSpriteFramesWithFile(const std::string&amp; plist,const std::string&amp; textureFileName)</p>
<p>添加一个 SpriteFrame 并指定其名称。<br />void 	addSpriteFrame (SpriteFrame *frame, const std::string &amp;frameName)</p>
<p>获取指定名称的 SpriteFrame。<br />SpriteFrame * 	getSpriteFrameByName (const std::string &amp;name)</p>
<p>检查一个 plist 文件是否已经被加载。<br />bool 	isSpriteFramesWithFileLoaded (const std::string &amp;plist) const</p>
<p>清理已加载的 SpriteFrame。<br />void 	removeSpriteFrames ()</p>
<p>根据指定的名称从缓存中删除一个 SpriteFrame。<br />void 	removeSpriteFrameByName (const std::string &amp;name)</p>
<p>释放未使用的 SpriteFrame。 引用计数为 1 的 SpriteFrame 将被删除。 在进入一个新的场景时，可以通过调用该方法方便的释放不再使用的 SpriteFrame。<br />void 	removeUnusedSpriteFrames ()</p>
<p>将指定的 plist 文件中的 SpriteFrame 从缓存中删除<br />void 	removeSpriteFramesFromFile (const std::string &amp;plist)</p>
<p>销毁 SpriteFrameCache 的实例。会释放所有的 SpriteFrame 和 retain 的实例。<br />static void 	destroyInstance()</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-23 13:53:22 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>cocos代码研究（1）sprite学习笔记的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35byKK4.html" rel="bookmark">cocos代码研究（1）Node学习笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				理论部分 Node类继承自Ref类,是cocos框架中基础底层的一个封装类,与画面渲染相关的类一般都是继承自该类,例如Scene,Layer,Sprite,Sprite3D,Label,SpriteBatchNode,MenuItem,ClippingNode,DrawNode,ParticleBatchNode, ParticleSystem等都是继承自Node类. 代码部分 父子节点关系API virtual void addChild (Node *child)添加一个子节点到容器内,z-			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3OmZEoM.html" rel="bookmark">cocos代码研究（8）持续动作子类学习笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				理论部分 时间间隔动作(ActionInterval)是一个在一段时间内执行的动作. 它有一个开始时间和完成时间.完成时间等于起始时间加上持续时间. ActionInterval的子类与位置有关的动作类:JumpBy,JumpTo,MoveBy,MoveTo,BezierBy,BezierTo,CardinalSplineBy,CardinalSplineTo与缩放有关的动作类:ScaleTo,ScaleBy,与旋转有关的动作类:RotateBy, RotateTo与倾斜有关的动作类SkewTo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38ZAeRM.html" rel="bookmark">cocos代码研究（9）ProgressTimer类学习笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				理论部分 ProgressTimer是Node的子类. 该类根据百分比来渲染显示内部的Sprite对象. 变化方向包括径向,水平或者垂直方向. 代码部分 Type getType () const获取进度条的类型. float getPercentage () const获取进度条的百分比,范围为 0 到 100,包含0,100 Sprite * getSprite () const获取用来显示进度条比例的Sprite对象,已retain void setPercentage (float pe			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vZNdR3.html" rel="bookmark">cocos代码研究（12）UI之Widget学习笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				理论基础 Widget类,所有UI控件的基类. 这类继承自ProtectedNode和LayoutParameterProtocol. 如果你想实现自己的UI控件,你应该继承这个类. 被 VideoPlayer, WebView, AbstractCheckButton, Button, EditBox, ImageView, Layout, LoadingBar, RadioButtonGroup, RichText, Slider, Text, TextAtlas, TextBMFont ,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qE17G3.html" rel="bookmark">cocos代码研究（5）Action学习笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				理论部分 Action类也是cocos核心基础类之一,在游戏中起着非常重要的作用,继承自Ref,被 FiniteTimeAction(有限时间动作), Follow , 以及 Speed 继承. 有限时间动作可以划分成: 即时动作(ActionInstant),即时动作只能够立刻完成的动作,这类动作是在下一帧立刻完成的动作,如设定位置.设定缩放等.把它们包装成动作后,可以与其他动作类组合为复杂动作. 持续动作(ActionInterval),在规定的时间内,执行完成对象属性,位置,特效,序列动作			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MGeELA3.html" rel="bookmark">cocos代码研究（16）Widget子类RadioButton学习笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				理论基础 RadioButton是一种特定类型的两状态按钮,它与复选框相似.它可以 和RadioButtonGroup一起使用,形成一个&quot;组&quot;.继承自AbstractCheckButton,AbstractCheckButton继承自Widget. 代码部分 void addEventListener (const ccRadioButtonCallback &amp;callback)注册一个回调函数, 它将在单选按钮被选中或者取消的时候被调用. bool isSelected ()			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPB2dv3.html" rel="bookmark">cocos代码研究（15）Widget子类CheckBox学习笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				理论基础 复选框是一种特定类型的“两状态”按钮,可以处于“选中”和“未选中状态”.继承自AbstractCheckButton.注 AbstractCheckButton继承自Widget类. 代码部分 Public属性类型 enum EventType复选框事件类型,目前只有“选中”和“未选中”两种事件. ccCheckBoxCallback一个回调函数,它将在某个复选框事件触发后被调用. Public成员函数 void setSelectedState (bool selected)变更复选			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47pwZDM.html" rel="bookmark">cocos代码研究（25）Widget子类PageView学习笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				基础理论 ListView控件是一个显示滚动项目列表的视图组. 列表项是通过使用addChild或insertDefaultItem插入到列表中的,继承自ScrollView. 代码实践 static ListView * create()创建一个空ListView. void setItemModel (Widget *model)设定一个ListView的模型. 当调用pushBackDefaultItem,该模型将作为一个蓝图,新副本将被插入到ListView控件. void pushBa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3OmZ2PM.html" rel="bookmark">cocos代码研究（26）Widget子类RichView学习笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				理论部分 一个显示多个RichElement的容器类. 我们可以使用它很容易显示带图片的文本,继承自 Widget. 代码实践 static RichText * create ()创建一个空的RichText void insertElement (RichElement *element, int index)在指定位置插入一个RichElement. void pushBackElement (RichElement *element)在容器最后插入一个RichElement. void			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Z0KBYwM.html" rel="bookmark" class="title">ospf接口重传包不断提示</a>
					<div>
						XXXXXXXXXXX  OSPF/1/Trap10:- 1 -      OSPF interface retransmitted packet 1.3.6.1.2.1.14.16.2.10     ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mg5Lq83.html" rel="bookmark" class="title">读《平凡的世界》后感 （二）</a>
					<div>
						读&lt;平凡的世界&gt;后感 (二) 1.再怎么福也不能富孩子!可是,现在很多的父母亲却反了,总是在做着:&quot;再怎么穷 也不能穷孩子&quot;,父母亲在家或外面辛勤工作,点点滴滴都很不容 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmO1XP3.html" rel="bookmark" class="title">&lbrack;android&rsqb; 帧动画和补间动画</a>
					<div>
						逐帧显示一张图片,连起来成为动画 在res/drawable/目录下,创建一个xxx.xml的文件 添加&lt;animation-list&gt;节点,设置是否循环android:oneshot:” ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rvLp93.html" rel="bookmark" class="title">&lbrack;AngularJS&rsqb; Services&comma; Factories&comma; and Providers -- value &amp;amp&semi; Providers</a>
					<div>
						Creating a Value Object Sometimes you have javascript object defined: //value object var droidValue  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MomJqQ3.html" rel="bookmark" class="title">WebForm 验证控件</a>
					<div>
						验证控件一般是在注册的时候用到,是直接将JS代码封装到了控件里面,拉过来直接可以用,下面介绍一下主要用法: 1.CompareValidator:比较验证 常用属性:ControlToCompare  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47mpjR0.html" rel="bookmark" class="title">1610&colon; &lbrack;Usaco2008 Feb&rsqb;Line连线游戏</a>
					<div>
						1610: [Usaco2008 Feb]Line连线游戏 Time Limit: 5 Sec  Memory Limit: 64 MB Submit: 1396  Solved: 615 [Subm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02krbA3.html" rel="bookmark" class="title">【转载】Spring中DispatcherServlet与ContextLoaderListener的区别</a>
					<div>
						昨天在写springmvc的时候,在web.xml中配置了DispatcherServlet,如下: &lt;servlet&gt; &lt;servlet-name&gt;DispatcherSer ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgN1A84.html" rel="bookmark" class="title">前端自动化Gulp工具常用插件</a>
					<div>
						npm init命令初始化当前文件夹后,在当前文件夹新建gulpfile.js文件.当前目录下的所有操作流都在gulpfile.js文件中定义. gulp自动化 gulp-uglify (JS压缩)  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NGkdyM.html" rel="bookmark" class="title">据说学编程的计算这题不超1分钟！</a>
					<div>
						通常我们用的数的进位制是十进制,即逢十进一.它有十个数字:0.1.2.…….9. 上面的算式用的不是十进制,而是四进制,即逢四进一. 它有四个数字:0.1.2.3.在上面这个算式中,字母A.B.C.D ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bqNGpM.html" rel="bookmark" class="title">DELPHI的 ShowMessage函数的小缺陷</a>
					<div>
						今天我在XE7的IDE下调试我自己的LUA的时候发现个有意思的事情 我在LUA里调用一个DELPHI里绑定的函数 这个函数的原形如下 function lua_ShowMessage(l : PLua ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YRPEa3.html" rel="bookmark" class="title">第47周四</a>
					<div>
						晚上先总结今天后再学习其它知识,而学到的知识如果有用的话,留到明天总结. 上午真正明白了log4j记录日志时要加log.isDebugEnabled()判断是为了效率问题,如果log.dubug()中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KOgAm0.html" rel="bookmark" class="title">Apache Rewrite url重定向功能的简单配置</a>
					<div>
						Rewrite url重定向就是实现URL的跳转和隐藏真实地址,基于Perl语言的正则表达式规范.平时帮助我们实现拟静态,拟目录,域名跳转,防止盗链等 1.Apache Rewrite的主要功能 就是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ODgAg4.html" rel="bookmark" class="title">ConfigurationManager</a>
					<div>
						ConfigurationManager读取和写入 提供对客户端应用程序配置文件的访问 通过引入System.Configuration.dll可以用ConfigurationManager类来读取项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPZw5P3.html" rel="bookmark" class="title">（一）Oracle学习笔记&mdash;&mdash; 表和表空间</a>
					<div>
						1. 表空间 一个数据库可以有多个表空间,一个表空间里可以有多个表.表空间就是存多个表的物理空间:可以指定表空间的大小位置等.  1.1 创建表空间语句 create tablespace ts3 d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vzBp63.html" rel="bookmark" class="title">Java路径问题终于解决方式&mdash;可定位全部资源的相对路径寻址</a>
					<div>
						1.在Java项目中,应该通过绝对路径訪问文件.下面为訪问的经常用法: 第一种方法:类名.class.getResource(&quot;/&quot;).getPath()+文件名称 另外一种方法: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AAQeZ4.html" rel="bookmark" class="title">DOM day2</a>
					<div>
						一.获取标签内的文本内容 1.1 选择文本 &lt;ul id=”d1”&gt; &lt;li&gt;这是一个标签&lt;/li&gt; &lt;li&gt;这是一个标签&lt;/li&gt; &lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nPgyp4.html" rel="bookmark" class="title">【BZOJ-2809】dispatching派遣    Splay &plus; 启发式合并</a>
					<div>
						2809: [Apio2012]dispatching Time Limit: 10 Sec  Memory Limit: 128 MBSubmit: 2334  Solved: 1192[Submi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLZ8yA3.html" rel="bookmark" class="title">利用java代码生成二维码</a>
					<div>
						第一步:准备依赖包:core-3.0.0.jar (下载地址,扫二维码,哈哈)和一张准备放在二维码中间的图片 第二步:打开Eclipse,新建一个web工程,起好工程名 在src中先键一个包,然后将下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXqoQq0.html" rel="bookmark" class="title">共享锁【S锁】 排他锁【X锁】</a>
					<div>
						排它锁又称为写锁((eXclusive lock,简记为X锁)),若事务T对数据对象A加上X锁,则只允许T读取和修改A,其它任何事务都不能再对A加任何类型的锁,直到T释放A上的锁.它防止任何其它事务获 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QjJBwM.html" rel="bookmark" class="title">扫码时代，二维码能否替代纸质说明书？</a>
					<div>
						最近,二维码云服务网站--草料二维码,正在尝试推出它的新产品:帮助企业快速制作二维码说明书.  从产品经理角度看,纸质说明书的用户体验是非常差的.大多数时候,我们需要查阅说明书时,说明书并不在手边,甚 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
